
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

include('shared.lua')

function ENT:Initialize()   

	math.randomseed(CurTime())

	self.exploded = false
	self.Entity:SetModel( "models/dav0r/hoverball.mdl" ) 	
	self.Entity:PhysicsInit( SOLID_VPHYSICS )     	
	self.Entity:SetMoveType( MOVETYPE_VPHYSICS )  	
	self.Entity:SetSolid( SOLID_VPHYSICS )    
	self.Entity:SetMaterial("models/props_combine/portalball001_sheet")   
	//self.Entity:SetColor(0,191,255,235)
	self.Entity:Ignite( 120, 40 )
	
	self.dietime = CurTime() + 3
	
	//self.Entity:EmitSound( self.firesound , 500 , 100 )
	local phys = self.Entity:GetPhysicsObject()  	
	if (phys:IsValid()) then 		
		phys:Wake()  
		phys:EnableGravity(false)
	end 
	//self:SetGravity(0.25)
	
end   

function ENT:OnTakeDamage( dmginfo )
	
	self.Entity:TakePhysicsDamage( dmginfo )
	
end

function ENT:PhysicsCollide()
	if ( self.exploded == false) then
		util.BlastDamage(self.Entity, self.Entity, self.Entity:GetPos(), 25, 10)
		
		local effectdata = EffectData()
		effectdata:SetOrigin(self.Entity:GetPos())
		util.Effect( "ImpactGunship", effectdata )
		
		self.exploded = true
	end
end

function ENT:Think()

if ( self.dietime < CurTime() ) then
		util.BlastDamage(self.Entity, self.Entity, self.Entity:GetPos(), 25, 10)
		
		local effectdata = EffectData()
		effectdata:SetOrigin(self.Entity:GetPos())
		//util.Effect( "ImpactGunship", effectdata )
		
		self.exploded = true
	end

if self.exploded == true then self:Remove() end
self:NextThink( CurTime() )
return true
end
 
